﻿function ScreenHelper() {
  this.getTimeStamp = function () {
    return new Date().getTime();
  };

  this.getFormatedTimeStamp = function () {
    var myDate = new Date();
    var timeString =
      myDate.getFullYear() +
      "-" +
      (myDate.getMonth() + 1) +
      "-" +
      myDate.getDate() +
      " " +
      myDate.getHours() +
      ":" +
      myDate.getMinutes() +
      ":" +
      myDate.getSeconds();

    return timeString;
  };

  this.extractSecurityToken = function () {
    return getKeyFromUri("securityToken", window.location.href);
  };
  this.extractSleep = function () {
    return getKeyFromUri("sleep", parent.document.location.href);
  };
  this.logErrorImpl = function (errorLogUrl, errorMsg) {
    if (errorLogUrl !== "") {
      $.post(errorLogUrl, { JavascriptError: errorMsg }, $.noop());
    }
  };

  this.getElements = function (el) {
    var type = typeof el;
    if (type == "string") {
      return $(el);
    }
    if (!el) {
      return $(); //return empty to avoid errors
    }
    return el;
  };

  function getKeyFromUri(key, url) {
    var vars = getVarsFrom(url);
    var value = "";
    if (vars[key] !== undefined) {
      value = decodeURIComponent(vars[key].replace(/#/g, ""));
    }
    return value;
  }

  function getVarsFrom(url) {
    var vars = [],
      hash;
    var hashes = url.slice(url.indexOf("?") + 1).split("&");
    for (var i = 0; i < hashes.length; i++) {
      hash = hashes[i].split("=");
      vars.push(hash[0]);
      vars[hash[0]] = hash[1];
    }
    return vars;
  }

  this.logThis = function (txt, caller) {
    return;
    if (window.console) window.console.log(txt);
  };

  this.logThis2 = function (txt, caller) {
    return;
    if (window.console) window.console.log(txt);
  };

  this.logThis3 = function (txt, caller) {
    return;
    if (window.console) window.console.log(txt);
  };

  this.logError = function (txt, caller) {
    if (window.console) window.console.error(txt);
  };
  return this;
}
