﻿function ScreenApiFeedback() {
  this.wrapErrorResult = function (jqXhr, textStatus, errorThrown) {
    return {
      success: false,
      error: {
        jqXhr: jqXhr,
        textStatus: textStatus,
        errorThrown: errorThrown,
      },
    };
  };

  this.wrapResult = function (data) {
    var result = {
      success: !(data.Status && data.Status.length > 0),
      message: "",
    };
    if (!result.success) {
      result.message = data.Status;
    }
    return result;
  };

  this.showError = function (jqXhr, textStatus, errorThrown) {
    sweetAlert("Error", textStatus, "error");
  };

  this.showMessage = function (data) {
    var options = {
      template: "#messageTemplate",
      data: data,
    };
    console.log("inshow");
    ScreenModule.dialog.open(options);
  };

  this.showInfo = function (txt) {
    sweetAlert("Alert", txt, "info");
  };

  //feedback stuff
  var showTextHandle = null;
  function showText(message, type) {
    var branding = $("#proNestorTextDisplay");
    var countTextt = 1;
    if (branding.length > 0) {
      var callDataCount = $("#proNestorTextDisplay").data("callcount");
      var calltype = $("#proNestorTextDisplay").data("calltype");
      $("#proNestorTextDisplay").remove();
      if (calltype == type) {
        countTextt = callDataCount + 1;
      }
    }
    var fontColor = "#FF0000";
    var fontFamily = "Verdana";
    var bg = "#7FC9FF";
    var text = document.URL;
    var redirectTime = 10;
    var re = /showcontent/gi;

    var div = $(
      '<div id="proNestorTextDisplay" style="padding-top:15px;padding-bottom:15px;position:absolute;top:0;right:0;width:100%;background:' +
        bg +
        '">'
    );
    div.data("callcount", countTextt);
    div.data("calltype", type);
    var divFooterText = $(
      '<div style="font-size: 15px;text-align:center;font-weight:bold;color:' +
        fontColor +
        ";font-family:" +
        fontFamily +
        ';">ACTION-&gt;' +
        message +
        " callcount(" +
        countTextt +
        ")</div>"
    );

    div.append(divFooterText);

    $("body").append(div);
    clearTimeout(showTextHandle);
    showTextHandle = setTimeout(function () {
      $("#proNestorTextDisplay").fadeOut("slow");
      setTimeout(function () {
        $("#proNestorTextDisplay").remove();
      }, 1000);
    }, redirectTime * 1000);
  }

  this.interactionIndication = function (command) {
    var settings = ScreenModule.settings.settings();
    if (settings.interactionIndication) {
      showText(
        "Type:" +
          command.Type +
          ", " +
          "RoomId:" +
          command.RoomId +
          ", " +
          "MeetingId:" +
          command.MeetingId +
          ", " +
          "TimeStamp:" +
          command.TimeStamp +
          "",
        command.Type
      );
    }
  };

  this.hideLoading = function () {
    $("#loadingContainer").hide();
  };

  this.showLoading = function () {
    return;
  };

  function getLoadingBehaviour() {
    var settings = ScreenModule.settings.settings();
    return settings.interactivity.loadingBehaviour;
  }
}
